/*
 * @(#)WelltrisNP.h
 *
 * Copyright 1994 - 2008  David A. Bagley, bagleyd@tux.org
 *
 * Taken from GENERIC X-BASED TETRIS
 *
 * Copyright 1992 - 1995  Q. Alex Zhao, azhao@cc.gatech.edu
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/* Next private header file for Welltris */

#ifndef _WelltrisNP_h
#define _WelltrisNP_h
#include "WelltrisP.h"
#include "WelltrisN.h"

#ifdef WINVER
extern void destroyNextGame(HBRUSH brush);
extern void resizeNextGame(NextWelltrisWidget w);
extern void initializeNextGame(NextWelltrisWidget w, HBRUSH brush);
extern void exposeNextGame(NextWelltrisWidget w);
extern void hideNextGame(NextWelltrisWidget w);
extern void ToggleNextGame(NextWelltrisWidget w);
extern void enterNextGame(NextWelltrisWidget w);
extern void leaveNextGame(NextWelltrisWidget w);
extern Boolean DiagonalNextGame(NextWelltrisWidget w);
extern void toggleSoundNextGame(NextWelltrisWidget w);
extern Boolean MixedNextGame(NextWelltrisWidget w);
extern void valueNextGame(NextWelltrisWidget w,
	int randomNumber, int randomRotation, int randomRefleection,
	int units, Boolean diagonal, Boolean mixed, Boolean newBonus);
extern void showNextNextGame(NextWelltrisWidget w);
extern void setNextGame(NextWelltrisWidget w, int reason);
#else

typedef struct _NextWelltrisPart
{
	int randomNumber, randomRotation, randomReflection;
	Boolean newBonus;
} NextWelltrisPart;
#endif

typedef struct _NextWelltrisRec
{
	CorePart core;
	WelltrisPart welltris;
#ifndef WINVER
	NextWelltrisPart nextWelltris;
#endif
} NextWelltrisRec;

#ifndef WINVER
/* This gets around C's inability to do inheritance */
typedef struct _NextWelltrisClassPart
{
	int ignore;
} NextWelltrisClassPart;

typedef struct _NextWelltrisClassRec
{
	CoreClassPart coreClass;
	WelltrisClassPart welltrisClass;
	NextWelltrisClassPart nextWelltrisClass;
} NextWelltrisClassRec;

extern NextWelltrisClassRec nextWelltrisClassRec;
#endif
#endif /* _WelltrisNP_h */
